Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Interface ASN1Value

All Known Implementing Classes:
  AlgorithmIdentifier, ANY, Attribute, Attribute, AuthenticatedSafes, AVA, BIT_STRING, BMPString, BOOLEAN, CertBag, CertId, Certificate, CertificateInfo, CertificationRequest, CertificationRequestInfo, CertifiedKeyPair, CertOrEncCert, CertRepContent, CertReqMsg, CertRequest, CertResponse, CertTemplate, CharacterString, CHOICE, CMCStatusInfo, ContentInfo, ContentInfo, Control, DigestedData, DigestedData, DigestInfo, DigestInfo, DirectoryString, EncapsulatedContentInfo, Encoding, EncryptedContentInfo, EncryptedContentInfo, EncryptedData, EncryptedData, EncryptedKey, EncryptedPrivateKeyInfo, EncryptedValue, ENUMERATED, EnvelopedData, EnvelopedData, EXPLICIT, Extension, GeneralizedTime, GetCRL, IA5String, INTEGER, IssuerAndSerialNumber, IssuerAndSerialNumber, IssuerAndSubject, MacData, Name, NULL, OBJECT_IDENTIFIER, OCTET_STRING, OtherInfo, PBEParameter, PendInfo, PFX, PKIArchiveOptions, PKIData, PKIPublicationInfo, PKIStatusInfo, POPOPrivKey, POPOSigningKey, PrintableString, PrivateKeyInfo, ProofOfPossession, RDN, RecipientInfo, RecipientInfo, ResponseBody, RevRepContent, RevRequest, SafeBag, SecretBag, SEQUENCE, SET, SignedAndEnvelopedData, SignedAndEnvelopedData, SignedData, SignedData, SignerIdentifier, SignerInfo, SignerInfo, SubjectPublicKeyInfo, TaggedAttribute, TaggedCertificationRequest, TaggedRequest, TeletexString, TimeBase, UniversalString, UTCTime, UTF8String

public interface ASN1Value

A value that can be decoded from BER and encoded to DER.

See Also:
  `ASN1Template`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

Method Detail

### getTag

    public Tag getTag()

  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Write this value's DER encoding to an output stream using its own base tag.

    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Write this value's DER encoding to an output stream using an implicit tag.

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD